GrailsPrintWriterAdapter (Grails 4.0.0)
Date: 2019-07-11

Package: org.grails.buffer

## [Java] Class GrailsPrintWriterAdapter

- org.grails.buffer.GrailsPrintWriterAdapter

- All Implemented Interfaces and Traits:
    GrailsWrappedWriter

      public class GrailsPrintWriterAdapter
      extends java.io.PrintWriter

  Authors:
    Lari Hotari
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected GrailsPrintWriter` | `target` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.io.Writer` | `target`
    `boolean` | `used`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsPrintWriterAdapter (java.io.Writer wrapped)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.io.PrintWriter` | `append(char c)`
    `` | `java.io.PrintWriter` | `append(java.lang.CharSequence csq, int start, int end)`
    `` | `java.io.PrintWriter` | `append(java.lang.CharSequence csq)`
    `` | `java.io.PrintWriter` | `append(java.lang.Object obj)`
    `` | `void` | `append(StreamCharBuffer otherBuffer)`
    `` | `boolean` | `checkError()`
    `` | `void` | `close()`
    `` | `void` | `flush()`
    `` | `java.io.Writer` | `getOut()`
    `` | `GrailsPrintWriter` | `getTarget()`
    `` | `protected void` | `handleIOException(java.io.IOException e)`
    `` | `boolean` | `isAllowUnwrappingOut()`
    `` | `protected boolean` | `isTrouble()`
    `` | `boolean` | `isUsed()`
    `` | `GrailsPrintWriter` | `leftShift(java.lang.Object value)`
    `` | `GrailsPrintWriter` | `leftShift(StreamCharBuffer otherBuffer)`
    `` | `GrailsPrintWriter` | `leftShift(groovy.lang.Writable writable)`
    `` | `void` | `markUsed()`
    `` | `static GrailsPrintWriterAdapter` | `newInstance(java.io.Writer wrapped)`
    `` | `GrailsPrintWriter` | `plus(java.lang.Object value)`
    `` | `void` | `print(java.lang.Object obj)`
    `` | `void` | `print(java.lang.String s)`
    `` | `void` | `print(boolean b)`
    `` | `void` | `print(char c)`
    `` | `void` | `print(int i)`
    `` | `void` | `print(long l)`
    `` | `void` | `print(float f)`
    `` | `void` | `print(double d)`
    `` | `void` | `print(char[] s)`
    `` | `void` | `print(StreamCharBuffer otherBuffer)`
    `` | `void` | `print(groovy.lang.Writable writable)`
    `` | `void` | `println()`
    `` | `void` | `println(boolean b)`
    `` | `void` | `println(char c)`
    `` | `void` | `println(int i)`
    `` | `void` | `println(long l)`
    `` | `void` | `println(float f)`
    `` | `void` | `println(double d)`
    `` | `void` | `println(char[] c)`
    `` | `void` | `println(java.lang.String s)`
    `` | `void` | `println(java.lang.Object o)`
    `` | `void` | `println(StreamCharBuffer otherBuffer)`
    `` | `boolean` | `resetUsed()`
    `` | `void` | `setError()`
    `` | `void` | `setTarget(java.io.Writer wrapped)`
    `` | `void` | `setUsed(boolean newUsed)`
    `` | `java.io.Writer` | `unwrap()`
    `` | `void` | `write(java.lang.String s)`
    `` | `void` | `write(int c)`
    `` | `void` | `write(char[] buf, int off, int len)`
    `` | `void` | `write(java.lang.String s, int off, int len)`
    `` | `void` | `write(char[] buf)`
    `` | `void` | `write(StreamCharBuffer otherBuffer)`
    `` | `void` | `write(groovy.lang.Writable writable)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.io.PrintWriter` | `java.io.PrintWriter#println(double), java.io.PrintWriter#println([C), java.io.PrintWriter#println(float), java.io.PrintWriter#println(java.lang.String), java.io.PrintWriter#println(java.lang.Object), java.io.PrintWriter#println(int), java.io.PrintWriter#println(char), java.io.PrintWriter#println(boolean), java.io.PrintWriter#println(), java.io.PrintWriter#println(long), java.io.PrintWriter#append(java.lang.CharSequence, int, int), java.io.PrintWriter#append(java.lang.CharSequence), java.io.PrintWriter#append(java.lang.CharSequence), java.io.PrintWriter#append(char), java.io.PrintWriter#append(java.lang.CharSequence), java.io.PrintWriter#append(char), java.io.PrintWriter#append(java.lang.CharSequence, int, int), java.io.PrintWriter#append(char), java.io.PrintWriter#append(java.lang.CharSequence, int, int), java.io.PrintWriter#format(java.util.Locale, java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#format(java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#write([C, int, int), java.io.PrintWriter#write(java.lang.String, int, int), java.io.PrintWriter#write([C), java.io.PrintWriter#write(int), java.io.PrintWriter#write(java.lang.String), java.io.PrintWriter#print(float), java.io.PrintWriter#print(long), java.io.PrintWriter#print(int), java.io.PrintWriter#print(char), java.io.PrintWriter#print(boolean), java.io.PrintWriter#print(java.lang.Object), java.io.PrintWriter#print(java.lang.String), java.io.PrintWriter#print([C), java.io.PrintWriter#print(double), java.io.PrintWriter#flush(), java.io.PrintWriter#close(), java.io.PrintWriter#checkError(), java.io.PrintWriter#printf(java.util.Locale, java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#printf(java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#wait(long, int), java.io.PrintWriter#wait(long), java.io.PrintWriter#wait(), java.io.PrintWriter#equals(java.lang.Object), java.io.PrintWriter#toString(), java.io.PrintWriter#hashCode(), java.io.PrintWriter#getClass(), java.io.PrintWriter#notify(), java.io.PrintWriter#notifyAll()`
    `class java.io.Writer` | `java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(char), java.io.Writer#append(java.lang.CharSequence), java.io.Writer#append(char), java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(java.lang.CharSequence), java.io.Writer#write([C), java.io.Writer#write([C, int, int), java.io.Writer#write(int), java.io.Writer#write(java.lang.String, int, int), java.io.Writer#write(java.lang.String), java.io.Writer#flush(), java.io.Writer#close(), java.io.Writer#wait(long, int), java.io.Writer#wait(long), java.io.Writer#wait(), java.io.Writer#equals(java.lang.Object), java.io.Writer#toString(), java.io.Writer#hashCode(), java.io.Writer#getClass(), java.io.Writer#notify(), java.io.Writer#notifyAll()`

- - ### Field Detail

    - #### protected GrailsPrintWriter target

  - ### Property Detail

    - #### java.io.Writer target

    - #### boolean used

  - ### Constructor Detail

    - #### public GrailsPrintWriterAdapter(java.io.Writer wrapped)

  - ### Method Detail

    - #### @java.lang.Override public java.io.PrintWriter append(char c)

    - #### @java.lang.Override public java.io.PrintWriter append(java.lang.CharSequence csq, int start, int end)

    - #### @java.lang.Override public java.io.PrintWriter append(java.lang.CharSequence csq)

    - #### public java.io.PrintWriter append(java.lang.Object obj)

    - #### public void append(StreamCharBuffer otherBuffer)

    - #### @java.lang.Override public boolean checkError()

    - #### @java.lang.Override public void close()

    - #### @java.lang.Override public void flush()

    - #### public java.io.Writer getOut()

    - #### public GrailsPrintWriter getTarget()

    - #### protected void handleIOException(java.io.IOException e)

    - #### public boolean isAllowUnwrappingOut()

    - #### protected boolean isTrouble()

    - #### public boolean isUsed()

    - #### public GrailsPrintWriter leftShift(java.lang.Object value)

    - #### public GrailsPrintWriter leftShift(StreamCharBuffer otherBuffer)

    - #### public GrailsPrintWriter leftShift(groovy.lang.Writable writable)

    - #### public void markUsed()

    - #### public static GrailsPrintWriterAdapter newInstance(java.io.Writer wrapped)

    - #### public GrailsPrintWriter plus(java.lang.Object value)

    - #### @java.lang.Override public void print(java.lang.Object obj)

    - #### @java.lang.Override public void print(java.lang.String s)

    - #### @java.lang.Override public void print(boolean b)

    - #### @java.lang.Override public void print(char c)

    - #### @java.lang.Override public void print(int i)

    - #### @java.lang.Override public void print(long l)

    - #### @java.lang.Override public void print(float f)

    - #### @java.lang.Override public void print(double d)

    - #### @java.lang.Override public void print(char[] s)

    - #### public void print(StreamCharBuffer otherBuffer)

    - #### public void print(groovy.lang.Writable writable)

    - #### @java.lang.Override public void println()

    - #### @java.lang.Override public void println(boolean b)

    - #### @java.lang.Override public void println(char c)

    - #### @java.lang.Override public void println(int i)

    - #### @java.lang.Override public void println(long l)

    - #### @java.lang.Override public void println(float f)

    - #### @java.lang.Override public void println(double d)

    - #### @java.lang.Override public void println(char[] c)

    - #### @java.lang.Override public void println(java.lang.String s)

    - #### @java.lang.Override public void println(java.lang.Object o)

    - #### public void println(StreamCharBuffer otherBuffer)

    - #### public boolean resetUsed()

    - #### @java.lang.Override public void setError()

    - #### public void setTarget(java.io.Writer wrapped)

    - #### public void setUsed(boolean newUsed)

    - #### public java.io.Writer unwrap()

    - #### @java.lang.Override public void write(java.lang.String s)

    - #### @java.lang.Override public void write(int c)

    - #### @java.lang.Override public void write(char[] buf, int off, int len)

    - #### @java.lang.Override public void write(java.lang.String s, int off, int len)

    - #### @java.lang.Override public void write(char[] buf)

    - #### public void write(StreamCharBuffer otherBuffer)

    - #### public void write(groovy.lang.Writable writable)